ArrayAccess::offsetGet
ArrayAccess::offsetUnset
ArrayAccess
PHP Manual

# ArrayAccess::offsetSet

(PHP 5 >= 5.1.0)

ArrayAccess::offsetSet — Zu setzender Offset-Punkt

### Beschreibung

abstract public void ArrayAccess::offsetSet ( mixed `$offset` , mixed `$value` )

Weist dem angegebenen Offset-Punkt einen Wert zu.

### Parameter-Liste

`offset`

  Der Offset-Punkt, dem ein Wert zugewiesen werden soll.

`value`

  Der zuzuweisende Wert.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Anmerkungen

> Hinweis: Der `offset`-Parameter wird auf `NULL` gesetzt, wenn sonst kein anderer Wert verfügbar ist, siehe auch das folgende Beispiel:

> `<?php
> $arrayaccess[] = "Wert";
> ?>`

ArrayAccess::offsetGet
ArrayAccess::offsetUnset
ArrayAccess
PHP Manual